Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055396 - Review Request: ocaml-yojson - An optimized parsing and printing library for the JSON format
Summary: Review Request: ocaml-yojson - An optimized parsing and printing library for ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1055391 1055393 1055394
Blocks: 1055398
TreeView+ depends on / blocked
 
Reported: 2014-01-20 07:33 UTC by Michel Alexandre Salim
Modified: 2014-02-22 00:40 UTC (History)
2 users (show)

Fixed In Version: ocaml-yojson-1.1.8-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-22 00:36:48 UTC
loganjerry: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Michel Alexandre Salim 2014-01-20 07:33:27 UTC
Spec URL: http://salimma.fedorapeople.org/specs/ocaml/ocaml-yojson.spec
SRPM URL: http://salimma.fedorapeople.org/specs/ocaml/ocaml-yojson-1.1.8-1.fc20.src.rpm
Description:
Yojson is an optimized parsing and printing library for the JSON
format. It addresses a few shortcomings of json-wheel including 2x
speedup, polymorphic variants and optional syntax for tuples and
variants.

ydump is a pretty-printing command-line program provided with the
yojson package.

The program atdgen can be used to derive OCaml-JSON serializers and
deserializers from type definitions.
Fedora Account System Username: salimma

Comment 1 Jerry James 2014-02-07 18:46:30 UTC
I will take this review.

Comment 2 Jerry James 2014-02-07 20:58:16 UTC
The first eight issues are repeats from the previous reviews:

1) Remove the internal dependency generator workarounds.

2) Build a usable -debuginfo package on platforms that generate binary code.

3) The build requires ocaml-findlib only, not ocaml-findlib-devel.

4) Add ExclusiveArch: %{ocaml_arches} to the spec file.

5) Add %{?_isa} to the -devel dependency on the main package.

6) Remove rm -rf $RPM_BUILD_ROOT from the top of %install.

7) Move %define libname down farther and make it %global instead.

8) If possible, don't build both bytecode and native.

9) There is no justification for the patch, but I think it is not needed.
   Just replace the "export DESTDIR=..." line in %install with this:

   export PREFIX=$RPM_BUILD_ROOT%{_prefix}

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "Unknown or generated". 19 files have unknown license.
     Detailed output of licensecheck in /home/jamesjer/1055396-ocaml-
     yojson/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[!]: Useful -debuginfo package or justification otherwise.
[!]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ocaml:
[x]: This should never happen

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in ocaml-
     yojson-devel
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define libname %(echo %{name} |
     sed -e 's/^ocaml-//')
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ocaml-yojson-1.1.8-1.fc21.x86_64.rpm
          ocaml-yojson-devel-1.1.8-1.fc21.x86_64.rpm
          ocaml-yojson-1.1.8-1.fc21.src.rpm
ocaml-yojson.x86_64: W: spelling-error %description -l en_US json -> son, j son
ocaml-yojson.x86_64: W: spelling-error %description -l en_US tuples -> letups
ocaml-yojson.x86_64: W: spelling-error %description -l en_US atdgen -> attend
ocaml-yojson.x86_64: W: spelling-error %description -l en_US serializers -> serializes, serialize rs, serialize-rs
ocaml-yojson.x86_64: W: spelling-error %description -l en_US deserializers -> serializes, depersonalizes, materializes
ocaml-yojson.x86_64: W: no-manual-page-for-binary ydump
ocaml-yojson.src: W: spelling-error %description -l en_US json -> son, j son
ocaml-yojson.src: W: spelling-error %description -l en_US tuples -> letups
ocaml-yojson.src: W: spelling-error %description -l en_US ydump -> dump, dumpy, y dump
ocaml-yojson.src: W: spelling-error %description -l en_US atdgen -> attend
ocaml-yojson.src: W: spelling-error %description -l en_US serializers -> serializes, serialize rs, serialize-rs
ocaml-yojson.src: W: spelling-error %description -l en_US deserializers -> serializes, depersonalizes, materializes
3 packages and 0 specfiles checked; 0 errors, 12 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ocaml-yojson-devel ocaml-yojson
ocaml-yojson.x86_64: W: spelling-error %description -l en_US json -> son, j son
ocaml-yojson.x86_64: W: spelling-error %description -l en_US tuples -> letups
ocaml-yojson.x86_64: W: spelling-error %description -l en_US atdgen -> attend
ocaml-yojson.x86_64: W: spelling-error %description -l en_US serializers -> serializes, serialize rs, serialize-rs
ocaml-yojson.x86_64: W: spelling-error %description -l en_US deserializers -> serializes, depersonalizes, materializes
ocaml-yojson.x86_64: W: no-manual-page-for-binary ydump
2 packages and 0 specfiles checked; 0 errors, 6 warnings.
# echo 'rpmlint-done:'



Requires
--------
ocaml-yojson-devel (rpmlib, GLIBC filtered):
    ocaml-yojson

ocaml-yojson (rpmlib, GLIBC filtered):
    ocaml(Array)
    ocaml(Bi_inbuf)
    ocaml(Bi_io)
    ocaml(Bi_outbuf)
    ocaml(Bi_share)
    ocaml(Buffer)
    ocaml(Char)
    ocaml(Easy_format)
    ocaml(Format)
    ocaml(Int32)
    ocaml(Int64)
    ocaml(Lexing)
    ocaml(List)
    ocaml(Obj)
    ocaml(Pervasives)
    ocaml(Printf)
    ocaml(Stream)
    ocaml(String)
    ocaml(runtime)



Provides
--------
ocaml-yojson-devel:
    ocaml-yojson-devel
    ocaml-yojson-devel(x86-64)

ocaml-yojson:
    ocaml(Yojson)
    ocaml(Yojson_biniou)
    ocaml-yojson
    ocaml-yojson(x86-64)



Source checksums
----------------
http://mjambon.com/releases/yojson/yojson-1.1.8.tar.gz :
  CHECKSUM(SHA256) this package     : 3b8b56369bb2633be8366c17e45732dd852e764fb319ec5ddbeada1adb09dd2b
  CHECKSUM(SHA256) upstream package : 3b8b56369bb2633be8366c17e45732dd852e764fb319ec5ddbeada1adb09dd2b


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1055396 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Ocaml
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 3 Michel Alexandre Salim 2014-02-08 08:09:05 UTC
Thanks, review feedback incorporated:

Spec URL: http://salimma.fedorapeople.org/specs/ocaml/ocaml-yojson.spec
SRPM URL: http://salimma.fedorapeople.org/specs/ocaml/ocaml-yojson-1.1.8-1.fc20.src.rpm

- not using smp_mflags as in the previous ocaml packages, upstream's build system doesn't handle it well

- tests added

- fixed other issues mentioned

Comment 4 Jerry James 2014-02-10 18:37:29 UTC
All review issues have been handled.  This package is APPROVED.

Comment 5 Michel Alexandre Salim 2014-02-11 04:26:10 UTC
Thanks for the review!

New Package SCM Request
=======================
Package Name: ocaml-yojson
Short Description: An optimized parsing and printing library for the JSON format
Owners: salimma
Branches: f19 f20
InitialCC:

Comment 6 Gwyn Ciesla 2014-02-11 13:13:03 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2014-02-12 01:16:03 UTC
ocaml-yojson-1.1.8-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ocaml-yojson-1.1.8-2.fc19

Comment 8 Fedora Update System 2014-02-12 01:16:13 UTC
ocaml-yojson-1.1.8-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ocaml-yojson-1.1.8-2.fc20

Comment 9 Fedora Update System 2014-02-12 14:38:25 UTC
ocaml-yojson-1.1.8-2.fc20 has been pushed to the Fedora 20 testing repository.

Comment 10 Fedora Update System 2014-02-22 00:36:48 UTC
ocaml-yojson-1.1.8-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 11 Fedora Update System 2014-02-22 00:40:20 UTC
ocaml-yojson-1.1.8-2.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.